| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
jcparam.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Macros
#define | JPEG_INTERNALS
#define | SET_COMP(index, id, hsamp, vsamp, quant, dctbl, actbl)

## Functions
| jpeg_add_quant_table (j_compress_ptr cinfo, int which_tbl, const unsigned int *basic_table, int scale_factor, boolean force_baseline)
| jpeg_set_linear_quality (j_compress_ptr cinfo, int scale_factor, boolean force_baseline)
| jpeg_quality_scaling (int quality)
| jpeg_set_quality (j_compress_ptr cinfo, int quality, boolean force_baseline)
| add_huff_table (j_compress_ptr cinfo, JHUFF_TBL **htblptr, const UINT8 *bits, const UINT8 *val)
| std_huff_tables (j_compress_ptr cinfo)
| jpeg_set_defaults (j_compress_ptr cinfo)
| jpeg_default_colorspace (j_compress_ptr cinfo)
| jpeg_set_colorspace (j_compress_ptr cinfo, J_COLOR_SPACE colorspace)
| fill_a_scan (jpeg_scan_info *scanptr, int ci, int Ss, int Se, int Ah, int Al)
| fill_scans (jpeg_scan_info *scanptr, int ncomps, int Ss, int Se, int Ah, int Al)
| fill_dc_scans (jpeg_scan_info *scanptr, int ncomps, int Ah, int Al)
| jpeg_simple_progression (j_compress_ptr cinfo)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 13 of file jcparam.c.

#define SET_COMP | ( |  | index,
|  |  | id,
|  |  | hsamp,
|  |  | vsamp,
|  |  | quant,
|  |  | dctbl,
|  |  | actbl
| ) |  |

Value:
(compptr = &cinfo->comp_info[index], \
compptr->component_id = (id), \
compptr->h_samp_factor = (hsamp), \
compptr->v_samp_factor = (vsamp), \
compptr->quant_tbl_no = (quant), \
compptr->dc_tbl_no = (dctbl), \
compptr->ac_tbl_no = (actbl) )
compptr
jpeg_component_info * compptr
Definition: jdct.h:102
jpeg_component_info::ac_tbl_no
int ac_tbl_no
Definition: jpeglib.h:130
jpeg_component_info::quant_tbl_no
int quant_tbl_no
Definition: jpeglib.h:124
jpeg_component_info::component_id
int component_id
Definition: jpeglib.h:120
jpeg_component_info::h_samp_factor
int h_samp_factor
Definition: jpeglib.h:122

## Function Documentation

add_huff_table | ( | j_compress_ptr | cinfo,
|  | JHUFF_TBL ** | htblptr,
|  | const UINT8 * | bits,
|  | const UINT8 * | val
| ) |  |

Definition at line 152 of file jcparam.c.

fill_a_scan | ( | jpeg_scan_info * | scanptr,
|  | int | ci,
|  | int | Ss,
|  | int | Se,
|  | int | Ah,
|  | int | Al
| ) |  |

Definition at line 475 of file jcparam.c.

fill_dc_scans | ( | jpeg_scan_info * | scanptr,
|  | int | ncomps,
|  | int | Ah,
|  | int | Al
| ) |  |

Definition at line 509 of file jcparam.c.

fill_scans | ( | jpeg_scan_info * | scanptr,
|  | int | ncomps,
|  | int | Ss,
|  | int | Se,
|  | int | Ah,
|  | int | Al
| ) |  |

Definition at line 490 of file jcparam.c.

jpeg_add_quant_table | ( | j_compress_ptr | cinfo,
|  | int | which_tbl,
|  | const unsigned int * | basic_table,
|  | int | scale_factor,
|  | boolean | force_baseline
| ) |  |

Definition at line 23 of file jcparam.c.

jpeg_default_colorspace | ( | j_compress_ptr | cinfo | ) |

Definition at line 359 of file jcparam.c.

jpeg_quality_scaling | ( | int | quality | ) |

Definition at line 106 of file jcparam.c.

jpeg_set_colorspace | ( | j_compress_ptr | cinfo,
|  | J_COLOR_SPACE | colorspace
| ) |  |

Definition at line 391 of file jcparam.c.

jpeg_set_defaults | ( | j_compress_ptr | cinfo | ) |

Definition at line 268 of file jcparam.c.

jpeg_set_linear_quality | ( | j_compress_ptr | cinfo,
|  | int | scale_factor,
|  | boolean | force_baseline
| ) |  |

Definition at line 64 of file jcparam.c.

jpeg_set_quality | ( | j_compress_ptr | cinfo,
|  | int | quality,
|  | boolean | force_baseline
| ) |  |

Definition at line 132 of file jcparam.c.

jpeg_simple_progression | ( | j_compress_ptr | cinfo | ) |

Definition at line 537 of file jcparam.c.

std_huff_tables | ( | j_compress_ptr | cinfo | ) |

Definition at line 182 of file jcparam.c.